Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.pull.tools
Class UIToolTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.turbine.test.BaseTestCase
                  org.apache.turbine.test.BaseTurbineTest
                      org.apache.turbine.services.pull.tools.UIToolTest

All Implemented Interfaces:
  junit.framework.Test

    public class UIToolTest

extends BaseTurbineTest

Constructor Summary
`UIToolTest(String name)`

Method Summary
`static junit.framework.Test` | `suite()`
`void` | `testCssSlashes()`
`void` | `testGetSkinNames()`
`void` | `testImageSlashes()`
`void` | `testPathologicalCases()`
`void` | `testSkinValues()`
`void` | `testTool()`

Methods inherited from class org.apache.turbine.test.BaseTestCase
`getMockRequest, getPipelineData, getRunData`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UIToolTest

    public UIToolTest(String name)
               throws Exception

Throws:
  `Exception`

Method Detail

### suite

    public static junit.framework.Test suite()

### testTool

    public void testTool()

### testCssSlashes

    public void testCssSlashes()

### testImageSlashes

    public void testImageSlashes()

### testPathologicalCases

    public void testPathologicalCases()

### testGetSkinNames

    public void testGetSkinNames()

### testSkinValues

    public void testSkinValues()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.